Page MenuHomePhabricator

Avoid cache fragmenting URLs for Share a Fact shares
Closed, ResolvedPublic1 Story Points

Description

Currently, the apps share URLs by adding a query to the URL:

?source=app

?source=app should be changed to the following:

iOS: ?wprov=sfii1 for image cards, ?wprov=sfti1 for text shares
Android: ?wprov=sfia1 for image cards, ?wprov=sfta1 for text shares

In iOS, WMFShareOptionsViewController (init, respondToTapForCardGesture, and respondToTapForTextGesture) should be updated accordingly.

In Android, ShareHandler.java should be updated.

Additionally, a VCL patch should be submitted in the fashion of https://gerrit.wikimedia.org/r/#/c/120617/, but generalized for handling this wprov parameter with an alphanumeric value.

Details

Related Gerrit Patches:

Event Timeline

dr0ptp4kt raised the priority of this task from to Needs Triage.
dr0ptp4kt updated the task description. (Show Details)
dr0ptp4kt added subscribers: dr0ptp4kt, BBlack, faidon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2015, 5:43 PM
dr0ptp4kt triaged this task as Medium priority.Feb 25 2015, 12:36 AM
dr0ptp4kt set Security to None.

The format of the parameter will be as follows:

?wprov=<3_char_feature><platform_one_char><major_version_of_feature_uint>

For the first version on iOS, this will be

?wprov=safi1

And Android:

?wprov=safa1

dr0ptp4kt added a comment.EditedMar 11 2015, 4:23 PM

There's an update. See https://lists.wikimedia.org/pipermail/analytics/2015-March/003583.html.

it will be

iOS: ?wprov=sfii1 for image cards, ?wprov=sfti1 for text shares
Android: ?wprov=sfia1 for image cards, ?wprov=sfta1 for text shares

@dr0ptp4kt, awesome, can you document this parameter scheme somewhere on mediawiki.org or wikitech for future reference?

I was going to pick this up but its not clear what the actual issue is from the ticket description.

@dr0ptp4kt I assume you intended on picking this up, but even so, we should make sure the descriptions provide enough explanation for anyone to complete (and also not rely on parsing email threads for details).

I'll update the ticket description.

dr0ptp4kt updated the task description. (Show Details)Mar 11 2015, 11:23 PM
Fjalapeno moved this task from To Do to Doing on the Mobile App Sprint 52 - iOS board.

Change 196243 had a related patch set uploaded (by Fjalapeno):
Addresses Bug:T90606 Now using different url parameters for sharing types.

https://gerrit.wikimedia.org/r/196243

Change 196243 merged by Dr0ptp4kt:
Addresses Bug:T90606 Now using different url parameters for sharing types.

https://gerrit.wikimedia.org/r/196243

The iOS client side code is good. Merged that in.

dr0ptp4kt removed dr0ptp4kt as the assignee of this task.
dr0ptp4kt moved this task from Code Review to To Do on the Mobile App Sprint 52 - iOS board.
dr0ptp4kt edited a custom field.

This needs a VCL patch as well.

dr0ptp4kt moved this task from To Do to Doing on the Mobile-App-Sprint-53-iOS board.

Change 199140 had a related patch set uploaded (by BearND):
Avoid cache fragmenting URLs for Share a Fact shares

https://gerrit.wikimedia.org/r/199140

Change 199140 merged by Dr0ptp4kt:
Avoid cache fragmenting URLs for Share a Fact shares

https://gerrit.wikimedia.org/r/199140

mark added a subscriber: mark.
dr0ptp4kt closed this task as Resolved.Apr 8 2015, 4:16 PM

@dr0ptp4kt, @Deskana: are there related plans for appending an oldid parameter and reviewing the caching implications or has that option been abandoned?

@dr0ptp4kt, @Deskana: are there related plans for appending an oldid parameter and reviewing the caching implications or has that option been abandoned?

That's still on the table, and we plan to revisit this soon. I have no ETA at this time, though.

@Deskana got it, I'd like to run past you some ideas about the backlink that I discussed with Moiz and a few accessibility folks.

@DarTar That sounds great. Putting it in an email or a Phab task would be ideal, as I'm really overloaded with work at the minute.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 28 2015, 4:00 PM